Skip to main content
POST /v1/payments/cancel Cancels a payment. At least one of paymentId or paymentRequestId must be provided.

Request Parameters

paymentId
string
Unique ID assigned by the wallet to identify the payment.Max length: 64 characters
paymentRequestId
string
Unique ID assigned by the merchant to identify the payment request.Max length: 64 characters
extendInfo
string
Extension information.Max length: 4096 characters

Response Parameters

result
object
required
Standard result object with resultCode, resultStatus, resultMessage
paymentId
string
Wallet-assigned payment identifier.Max length: 64 characters
paymentRequestId
string
Merchant-assigned request identifier.Max length: 64 characters
cancelTime
string
Actual time when the payment cancellation process is completed, in ISO 8601 format.
extendInfo
string
Extension information.Max length: 4096 characters

Result Codes

resultStatusresultCodeDescription
SSUCCESSCancellation successful
FCANCEL_WINDOW_EXCEEDCancellation date is beyond the agreed contract period
FORDER_NOT_EXISTOrder does not exist
FKEY_NOT_FOUNDKey not found
FCLIENT_INVALIDInvalid client
FINVALID_SIGNATURESignature invalid
FMETHOD_NOT_SUPPORTEDHTTP method not supported
FMERCHANT_BALANCE_NOT_ENOUGHInsufficient merchant balance
UUNKNOWN_EXCEPTIONUnknown error occurred